# Unstake Crypto Funds

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Staking", href: "/trading/rest-api/staking" },
    { label: "Unstake Crypto Funds" },
  ]}
  title="Unstake Crypto Funds"
  method="POST"
  url="https://api.gemini.com/v1/staking/unstake"
  description="Initiates a staking withdrawal for the specified currency and provider."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/staking/unstake",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "v1/staking/unstake",
        nonce: "<nonce>",
        providerId: "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
        currency: "MATIC",
        amount: "20",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader or Fund Manager role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="unstakeCryptoFunds" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="unstakeCryptoFunds" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="unstakeCryptoFunds" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Stake Crypto Funds", href: "/trading/rest-api/staking/stake-crypto-funds" }}
  next={{ label: "List Staking Event History", href: "/trading/rest-api/staking/list-staking-event-history" }}
/>
